<?php
// $Id: mod_whosonline.php,v 1.7 2003/12/03 20:56:34 rcastley Exp $
/**
* Who's Online Module
* @package Mambo Open Source
* @Copyright (C) 2000 - 2003 Miro International Pty Ltd
* @ All rights reserved
* @ Mambo Open Source is Free Software
* @ Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
* @version $Revision: 1.7 $
**/

defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

$query1 = "SELECT count(session_id) as guest_online FROM #__session WHERE guest=1 AND (usertype is NULL OR usertype='')";
$database->setQuery($query1);
$guest_array = $database->loadResult();

$query2 = "SELECT DISTINCT count(username) as user_online FROM #__session WHERE guest=0 AND usertype <> 'administrator' AND usertype <> 'superadministrator'";
$database->setQuery($query2);
$user_array = $database->loadResult();
$content="";

if ($guest_array<>0 && $user_array==0) {
	if ($guest_array==1) {
		$content.=_WE_HAVE;
		$content.=_GUEST_COUNT;
		$content.=_ONLINE;
		eval ("\$content = \"$content\";");
	} else {
		$content.=_WE_HAVE;
		$content.=_GUESTS_COUNT;
		$content.=_ONLINE;
		eval ("\$content = \"$content\";");
	}
}

if ($guest_array==0 && $user_array<>0) {
	if ($user_array==1) {
		$content.=_WE_HAVE;
		$content.=_MEMBER_COUNT;
		$content.=_ONLINE;
		eval ("\$content = \"$content\";");
	} else {
		$content.=_WE_HAVE;
		$content.=_MEMBERS_COUNT;
		$content.=_ONLINE;
		eval ("\$content = \"$content\";");
	}
}

if ($guest_array<>0 && $user_array<>0) {
	if ($guest_array==1) {
		$content.=_WE_HAVE;
		$content.=_GUEST_COUNT;
		$content.=_AND;
		eval ("\$content = \"$content\";");
	} else {
		$content.=_WE_HAVE;
		$content.=_GUESTS_COUNT;
		$content.=_ONLINE;
		$content.=_AND;
		eval ("\$content = \"$content\";");
	}
	
	if ($user_array==1) {
		$content.=_MEMBER_COUNT;
		$content.=_ONLINE;
		eval ("\$content = \"$content\";");
	} else {
		$content.=_MEMBERS_COUNT;
		$content.=_ONLINE;
		eval ("\$content = \"$content\";");
	}
	
}
?>
